#   ticket-config.pl - Konfigurationsdatei fuer das Infodrom Trouble Ticket System
#   Copyright (c) 1997,8  Martin Schulze <joey@infodrom.north.de>

#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.

#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.

$ticket_lib = "/etc/noc";

# Pg    = PostgreSQL
# mSQL  = mSQL
# mysql = MySQL
$ticket_dbdriver = "Pg";
$ticket_dbhost = '';
$ticket_dbase = "infocon";
$ticket_table = "tickets";
$ticket_table_classes = "classes";
$ticket_table_user = "nocuser";
$ticket_table_groups = "nocgroups";
$ticket_staff = 2;
$ticket_superuser = "noc";

# Only define the following if they are needed and getlogname($uid)
# isn't used as SQL username.
#
#$ticket_username = "foo";
#$ticket_password = "bar";

$ticket_from = "ticket\@infodrom.org (Infodrom Ticket)";
#$ticket_bcc = "ticket\@infodrom.north.de (Infodrom Ticket)";
$ticket_html_host = "service.infodrom.org";
$ticket_html_base = "/bin/ticket";
#$ticket_html_base = "/cgi-bin/noc/ticket";

$ticket_file_info = "$ticket_lib/ticket.html";
$ticket_file_help = "$ticket_lib/ticket-help.html";

$ticket_sendmailcmd = "/usr/sbin/sendmail -t";

# Set the lengths of text fields
#
$ticket_length{'subject'} = 80;
$ticket_length{'body'} = 1000;
$ticket_length{'closing'} = 500;

$ticket_html_header = "<html>
<head><title>Infodrom Trouble Ticket System</title></head>

<body bgcolor=\"#8fdfff\">
<center>
    <img src=\"/grafik/ticket.gif\" alt=\"Network Operation Center\"><br>
</center>

";

$ticket_html_footer = "

<hr><address><a href=\"https://service.infodrom.org/\">Infodrom Oldenburg</a></address>
</body>
</html>
";

$ticket_signature = "\n--
Das Infodrom Trouble Ticket System kann unter
https://service.infodrom.org/bin/ticket angesehen werden.\n\n";

%ticket_programs = ('ticket', 'Trouble Ticket System',
                    'bwin-vertrag','B-WiN-Vertr&auml;ge',
                    'olis-info', 'OLIS Informationen',
                    'fluege', 'Kongre&szlig;-Fl&uuml;ge',
                    'faltblaetter', 'Kongre&szlig;-Faltbl&auml;tter ',
                    'btkosten', 'Kongre&szlig;kosten',
                    'broadcast', 'Broadcast Meldungen',
                    'faxstat', 'OrgaTech Fax',
                    'teilnehmer', 'Kongre&szlig;teilnehmer',
		    'dns','OrgaTech DNS'
		    );

# Make perl happy
#
1;

# Local variables:
# mode: perl
# End:
